<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plugin SYSTEM "jnode.dtd">

<plugin id="org.jnode.driver.net.3c90x" 
        name="JNode 3Com 90x driver"
        version="@VERSION@"
        license-name="lgpl"
        provider-name="JNode.org">
        
  <requires>
    <import plugin="org.jnode.driver.bus.pci"/>
    <import plugin="org.jnode.driver.net.ethernet"/>
    <import plugin="org.jnode.net"/>
  </requires>
        
  <runtime>
    <library name="jnode-net.jar">
      <export name="org.jnode.driver.net._3c90x.*"/>
    </library>
  </runtime>
  
  <extension point="org.jnode.driver.mappers">
    <mapper id="10b7:9055" name="3C905B 100BaseTX [Cyclone] (rev 30)" driver-class="org.jnode.driver.net._3c90x._3c90xDriver" class="org.jnode.driver.bus.pci.PCIDeviceToDriverMapper"/>
    <mapper id="10b7:9200" name="3C905C_TXM" driver-class="org.jnode.driver.net._3c90x._3c90xDriver" class="org.jnode.driver.bus.pci.PCIDeviceToDriverMapper"/>
  </extension>
        
  <extension point="org.jnode.security.permissions">
    <permission class="org.jnode.system.ResourcePermission" name="ioports"/>
    <permission class="org.jnode.system.ResourcePermission" name="irq"/>
  </extension>
        
</plugin>
